# https://cmake.org/cmake/help/latest/module/CMakePackageConfigHelpers.html
set(FAST_VERSION 2.1.1)


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was fast.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

set_and_check(FAST_INCLUDE_DIR "/usr/include")
set(FAST_LIBRARY fast)
set(FAST_FOUND TRUE) # in case the name is not same as project's one

message(STATUS "FAST found (headers in ${FAST_INCLUDE_DIR}, and library name is ${FAST_LIBRARY})")

check_required_components(FAST)
